Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class RepresentationDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.RepresentationDocType

    public class RepresentationDocType

extends java.lang.Object

The documentation type for representations.
Created on: Jun 16, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`RepresentationDocType()`

Method Summary
`java.lang.String` | `getDoc()`
`javax.xml.namespace.QName` | `getElement()`
`java.lang.String` | `getExample()`
`java.lang.String` | `getMediaType()`
`java.lang.Long` | `getStatus()`
`void` | `setDoc(java.lang.String doc)`
`void` | `setElement(javax.xml.namespace.QName element)`
`void` | `setExample(java.lang.String example)`
`void` | `setMediaType(java.lang.String mediaType)`
`void` | `setStatus(java.lang.Long status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepresentationDocType

    public RepresentationDocType()

Method Detail

### getElement

    public javax.xml.namespace.QName getElement()

  Returns:
    the element

### setElement

    public void setElement(javax.xml.namespace.QName element)

  Parameters:
    `element` - the element to set

### getExample

    public java.lang.String getExample()

  Returns:
    the example

### setExample

    public void setExample(java.lang.String example)

  Parameters:
    `example` - the example to set

### getStatus

    public java.lang.Long getStatus()

  Returns:
    the status

### setStatus

    public void setStatus(java.lang.Long status)

  Parameters:
    `status` - the status to set

### getMediaType

    public java.lang.String getMediaType()

  Returns:
    the mediaType

### setMediaType

    public void setMediaType(java.lang.String mediaType)

  Parameters:
    `mediaType` - the mediaType to set

### getDoc

    public java.lang.String getDoc()

  Returns:
    the doc

### setDoc

    public void setDoc(java.lang.String doc)

  Parameters:
    `doc` - the doc to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.